Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1808 - Wrong Setting for Genius Netmouse Pro
Summary: Wrong Setting for Genius Netmouse Pro
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mouseconfig
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-26 04:28 UTC by yngguru
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-04-13 17:51:39 UTC


Attachments (Terms of Use)

Description yngguru 1999-03-26 04:28:37 UTC
A Genius Netmouse Pro is compatible with the IMPS2
setting in both gpm and also XF86Setup, allowing the use of
the third button.

Comment 1 Preston Brown 1999-03-29 19:25:59 UTC
XF86Config has a specific mouse type for the NetMouse, NetMousePS/2.
Please see the XF86Config man page for more information on this.  gpm
also has the 'netmouse' setting.

Are you saying that these protocols are broken in both gpm and X?
What is the contents of your /etc/sysconfig/mouse file?

Comment 2 yngguru 1999-04-10 03:56:59 UTC
No, i'm saying that when I set my mouse in the setup program as a
Genius Netmouse Pro, it sets it as a plain PS/2 type mouse.  As a
result, the third mouse button is disabled and can't be used.

Comment 3 Preston Brown 1999-04-13 17:51:59 UTC
GPM has a specific mouse type for netmice.  When I ran mouseconfig and
picked Netmouse Pro, it set the gpm mousetype to 'netmouse' and the X
mouse type to 'NetMousePS/2', both of which are correct.

Mouseconfig *was* setting the gpm mouse type for the Genius NetScroll
to 'ps/2', which I have now change to 'netmouse.'  It already set the
X mouse type to 'NetScrollPS/2', which is also correct.

mouseconfig-3.8-1.


Note You need to log in before you can comment on or make changes to this bug.